2

I am trying to run an application which I am developing currently in Android Studio 3.0 using Genymotion emulator with Android 5.0 - API 21 (Kernel version 4.4.10). All set up on Linux (Fedora 26).

I am not able to run the application.
There is no compilation error in application code as it builds successfully. But when I press run button, first I get this

Application Installation error

However, neither the application is not installed on the Genymotion emulator as I can't find it there nor it is installing again. Although when I press OK button shown in above image, I get the following error in Run console, which appears by clicking the button in bottom left of status bar

11/18 22:29:34: Launching app
$ adb install-multiple -r -t /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/slices/slice_4.apk /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/slices/slice_5.apk /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/slices/slice_9.apk /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/slices/slice_8.apk /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/slices/slice_7.apk /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/slices/slice_3.apk /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/dep/dependencies.apk /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/slices/slice_6.apk /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/slices/slice_0.apk /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/slices/slice_1.apk /home/vpn/Projects/android/candy-coded/app/build/intermediates/split-apk/debug/slices/slice_2.apk /home/vpn/Projects/android/candy-coded/app/build/outputs/apk/debug/app-debug.apk 
$ adb shell pm uninstall com.example.vpn.candycoded  
DELETE_FAILED_INTERNAL_ERROR  
Error while Installing APKs  

And when I try to perform install command (as shown in above code snippet) using Linux terminal, it shows following

Failed to create session
WARNING: linker: libhoudini.so has text relocations. This is wasting memory and prevents security hardening. Please fix.
Success: created install session [726755356]

This is a new type of error I am facing since I installed the latest version of Android Studio.

It works fine when I run it using my phone Moto E4 plus which has Android 7.1.1. The project which I am developing was created using the current Android Studio.


Here is my app.gradle just in case

apply plugin: 'com.android.application'

android {
    compileSdkVersion 27
    buildToolsVersion "27.0.1"
    defaultConfig {
        applicationId "com.example.vpn.candycoded"
        minSdkVersion 15
        targetSdkVersion 27
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner 
"android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
 }

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile 'com.android.support:appcompat-v7:27.+'
    testCompile 'junit:junit:4.12'
}

Please help me with this.
Also please comment if anything I am missing in describing the problem properly, or any file or screenshot I need to include.